Loading...
Searching...
No Matches
L4::Factory::Lstr Struct Reference

Special type to add a pascal string into the factory create stream. More...

`#include <factory>`

Collaboration diagram for L4::Factory::Lstr:

## Public Member Functions

| Lstr (char const *s, unsigned len) noexcept

## Data Fields

char const * | s
| The character buffer.
unsigned | len
| The number of characters in the buffer.

## Detailed Description

Special type to add a pascal string into the factory create stream.

This encapsulates a string that has an explicit length.

Definition at line 54 of file factory.

## Constructor & Destructor Documentation

## Lstr()

L4::Factory::Lstr::Lstr | ( | char const * | s,
|  | unsigned | len )

inlinenoexcept

Parameters

  s | Pointer to the c-style string.
  len | Length in number of characters of the string s.

Definition at line 70 of file factory.

References len, and s.

The documentation for this struct was generated from the following file:

- l4/sys/factory